Index: resources/views/dashboard/departments/index.blade.php
===================================================================
--- resources/views/dashboard/departments/index.blade.php	(revision ea7b12a15d1afa472a54d5b8c75c55917907862e)
+++ resources/views/dashboard/departments/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
@@ -16,5 +16,5 @@
             <ol class="breadcrumb">
                 <li class="breadcrumb-item">
-                    <a href="{{ url('dashboard/departments') }}">Departments</a>
+                    <a href="{{ url('/') }}">Dashboard</a>
                 </li>
                 <li class="breadcrumb-item active" aria-current="page">Departments</li>
@@ -24,4 +24,7 @@
             <a href="javascript:void(0)" data-toggle="modal" data-target="#createModal" class="btn btn-primary text-white">
                 Add department
+            </a>
+            <a href="{{ route("dashboard.departments.downloadAll") }}" class="btn btn-danger text-white">
+                <i class="fa fa-download pr-1"></i> Download files
             </a>
         </div>
@@ -41,4 +44,5 @@
                                 <th>Name</th>
                                 <th>Code</th>
+                                <th>Folders</th>
                                 <th>Created by</th>
                                 <th>Created at</th>
@@ -55,4 +59,5 @@
                                     <td>{{ $department->name }}</td>
                                     <td>{{ $department->code }}</td>
+                                    <td>{{ $department->folder->count() }}</td>
                                     <td>{{ $department->getCreatedByName() }}</td>
                                     <td>{{ date('d.m.Y - H:i', strtotime($department->created_at)) }}</td>
@@ -63,14 +68,15 @@
                                     @endif
                                     <!-- Trigger -->
-                                    <td>{{ $department->location }}
-                                            <button class="btn btn-sm btn-primary text-white" data-clipboard-target="#copy_{{ $department->id }}"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-clipboard" viewBox="0 0 16 16">
+                                    <td><button data-clipboard-text="{{$department->location}}" class="btn btn-sm btn-primary text-white" data-toggle="tooltip" data-placement="right" title="{{$department->location}}"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-clipboard" viewBox="0 0 16 16">
                                                     <path d="M4 1.5H3a2 2 0 0 0-2 2V14a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V3.5a2 2 0 0 0-2-2h-1v1h1a1 1 0 0 1 1 1V14a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1V3.5a1 1 0 0 1 1-1h1v-1z"/>
                                                     <path d="M9.5 1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-3a.5.5 0 0 1-.5-.5v-1a.5.5 0 0 1 .5-.5h3zm-3-1A1.5 1.5 0 0 0 5 1.5v1A1.5 1.5 0 0 0 6.5 4h3A1.5 1.5 0 0 0 11 2.5v-1A1.5 1.5 0 0 0 9.5 0h-3z"/>
                                                 </svg></button>
-                                        <span type="hidden" id="copy_{{$department->id}}"></span>
                                     </td>
                                     <td>
                                         <a href="javascript:void(0)" class="text-secondary" data-toggle="modal" data-target="#editModal_{{$department->id}}" title="Edit">
                                             <i class="ti-pencil"></i>
+                                        </a>
+                                        <a href="{{ route("dashboard.departments.downloadDepartment", ['id' => $department->id]) }}" class="text-danger ml-2"title="Delete">
+                                            <i class="ti-download"></i>
                                         </a>
                                         <a href="javascript:void(0)" class="text-danger ml-2" data-toggle="modal" data-target="#deleteModal_{{$department->id}}" title="Delete">
@@ -93,5 +99,5 @@
                                                     @method('DELETE')
                                                     <p>Are you sure you want to delete department {{$department->name}} with code: {{$department->code}}?</p>
-                                                    <p>Number of documents associated: {{$department->document()->count()}}</p>
+                                                    <p>Number of documents associated: <a href="{{ route("dashboard.folders.index", ['id' => $department->id]) }}" class="text-linkedin">{{$department->folder()->count()}}</a></p>
                                                     <div class="modal-footer">
                                                         <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
@@ -133,5 +139,10 @@
                                                         </div>
                                                     </div>
-                                                    <input type="submit" value="Save changes" class="btn btn-primary pull-right m-10">
+                                                    <br/>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
                                                 </form>
                                             </div>
@@ -168,5 +179,10 @@
                                                     </div>
                                                 </div>
-                                                <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
+                                                <br/>
+                                                <div class="modal-footer">
+                                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                    </button>
+                                                    <button type="submit" class="btn btn-primary">Save changes</button>
+                                                </div>
                                             </form>
                                         </div>
@@ -187,4 +203,7 @@
 
 @section('script')
+
+    @yield('script')
+
     <script src="{{ url('assets/js/examples/pages/user-list.js') }}"></script>
     <!-- Datatable -->
